'use client'
import { Button, Tooltip } from "@nextui-org/react";
import { Moon, Sun } from "react-feather";
import { useTheme } from "next-themes";
import { useTranslation } from "@/src/hooks/useTranslation";

export default function MoonButton() {
    const { trans } = useTranslation();
    const { theme, setTheme } = useTheme();

    const toggleTheme = () => {
        setTheme(theme === "light" ? "dark" : "light");
    };
    return (
        <Tooltip
          placement="right"
          content={theme == "light" ? trans("dark_mode_button_title") : trans("light_mode_button_title")}	
          color="default"
        >
            <Button color="default" radius="full" className="min-w-11 min-h-11 size-11 p-0 bg-white text-indigo-600" variant="solid" onClick={toggleTheme}>
                {theme == "light" ? <Moon size={26} /> : <Sun size={26} />}
            </Button>
        </Tooltip>
    )
}